import { defineTable } from 'convex/server';
import { v } from 'convex/values';

export const cursosTables = {
	cursos: defineTable({
		funcionarioId: v.id('funcionarios'),
		descricao: v.string(),
		data: v.string(),
		certificadoId: v.optional(v.id('_storage'))
	}).index('by_funcionario', ['funcionarioId'])
};
